#sidebar {
  border: none;
  padding: 0;

  @include media-breakpoint-up(md) {
    .navbar-right {
      margin-right: 0;
      width: $navbar-right-width;
    }
  }

  .bb-navigation {
    min-width: 100%;
  }

  .bb-navigation li.bb-navigation__item {
    border-left: 0px solid transparent;
    @include animation(border-color, 500ms);

    & a {
      @include animation(background-color, 500ms);
      color: $navigationLabelGray;

      &:focus {
        @include animation(background-color, 500ms);
        background-color: $navigation-link-focus-bgcolor;
      }

      &:hover {
        color: $nav-link-hover-color;
        @include animation(background-color, 500ms);
        background-color: $navigation-link-hover-bgcolor;
      }
    }

    &:hover:not(.bb-navigation-item--active) {
      @include animation(border-color, 500ms);

      border-color: $navigation-link-hover-bgcolor;
    }

    &:active:not(.bb-navigation-item--active) {
      @include animation(border-color, 500ms);

      background-color: $navigation-link-active-bgcolor;
    }

    &.bb-navigation-item--active {
      border: none;

      a {
        background-color: $navigation-link-active-bgcolor;
        color: $navigation-link-active-color;
      }
    }
  }
}

.sidebar.toggle {
  .bb-navigation li.bb-navigation__item {
    & a {
      padding-left: 0.8rem !important;
      padding-right: 0.5rem;
    }
  }
}

.page-flex-layout .sidebar {
  -webkit-transition: all 0.3s ease-out !important;
  transition: all 0.3s ease-out !important;

  .navbar .bb-navigation li.bb-navigation__item {
    transition: border-color 5000ms 0ms cubic-bezier(0, 0, 0.2, 1);
  }

  //.nav li.nav-item a {
  //  -webkit-transition: all 5s !important;
  //   transition: all 5s !important;
  //}
}

li.bb-navigation__item {
  a.bb-navigation-item__link {
    transition: padding-left 0.4s !important;
    -webkit-transition: padding-left 0.4s !important;

    //.bb-universal-nav-item-title {
    //  transition: all 6s !important;
    //}
  }
}

/** [Start] Navigation Link Widget */
.navigation-link-widget .bb-navigation__item {
  flex: 1;
}

.bb-navigation-item__title {
  font-size: 14px;
  font-family: 'Istok Web', sans-serif;
  white-space: nowrap;
}

.bb-navigation-item__link {
  border-radius: 0;
}

.bb-navigation__item:not(:last-of-type) {
  margin-bottom: 0;
}

.navigation-link-widget .dropdown-menu.show,
ul.navigation-link-widget,
ul.navigation-link-widget > li {
  width: 100%;
}

.bb-navigation-item--active .bb-navigation-item__link {
  background-color: transparent;
}

.bb-navigation-item--active .bb-navigation-item__icon {
  color: inherit;
}

/** [End] Navigation Link Widget */

// Small screens
.navbar {
  .bb-navigation {
    display: inline-block;
    font-family: $istok-web;

    .nav-item {
      white-space: nowrap;

      span {
        font-size: 14px;
        padding-left: 8px;
      }
    }
  }
}

.page-flex-layout .sidebar.toggle .bb-navigation li.bb-navigation__item a {
  padding-left: 8px !important;
  //justify-content: center;

  @include media-breakpoint-down(lg) {
    justify-content: normal;
  }
}

.page-flex-layout .sidebar {
  position: fixed;
  height: 100%;
  z-index: 10;
  //background-color: color("actions", "primary", "darkest");
  //color: color("neutrals", "white");
  max-width: $sidebar-width;
  width: $sidebar-width !important;
  transition: width 200ms 0ms cubic-bezier(0, 0, 0.2, 1), transform 200ms 0ms cubic-bezier(0, 0, 0.2, 1);
  //.bb-universal-nav-item-title {
  //  display: flex !important;
  //}
  @include nav-item-badge-position(true);
}

.page-flex-layout .sidebar.toggle {
  width: $sidebar-collapsed-width !important;
  padding-left: 0 !important;
}

@include media-breakpoint-down(md) {
  .page-flex-layout .sidebar {
    width: $sidebar-collapsed-width !important;
    padding-left: 0 !important;
  }
  .page-flex-layout .sidebar.toggle {
    width: $sidebar-width !important;
  }
  //.page-flex-layout .sidebar.toggle .bb-universal-nav-item-title {
  //    display: flex !important;
  //}
}

@include media-breakpoint-down(sm) {
  .page-flex-layout .sidebar {
    width: 0px !important;
    padding-left: 0 !important;
  }
  .page-flex-layout .sidebar.toggle {
    width: $sidebar-width !important;
    display: flex !important;
    position: absolute;
    left: 0;
    height: 100%;
    z-index: 99999;
  }
  //.page-flex-layout .sidebar.toggle .bb-universal-nav-item-title {
  //    display: flex !important;
  //}
}

.page-flex-layout .sidebar {
  overflow: hidden;
  background-color: $navigationLightGray !important;
  background: linear-gradient(0deg, $navigationDarkerGray 0%, $navigationLightGray 100%) !important;

  //color: color("neutrals", "white");
  max-width: $sidebar-width;
  width: $sidebar-width !important;
  min-width: $sidebar-width;
  will-change: width, transform;
}

.page-flex-layout .sidebar.toggle {
  width: $sidebar-collapsed-width !important;
  min-width: $sidebar-collapsed-width;
  padding-left: 0 !important;
}

.page-flex-layout .sidebar .bb-navigation li.bb-navigation__item {
  & a {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 64px !important;
    @media (min-width: 768px) and (max-width: 1279px) {
      padding-left: 0.8rem !important;
    }
  }

  &:hover {
    a {
      i {
        margin-left: 16px;
      }

      background-color: transparent;
    }
  }
}

.page-flex-layout .sidebar.toggle .bb-navigation li.bb-navigation__item {
  &:hover {
    a {
      i {
        margin-left: 8px;
      }
    }
  }
}

.page-flex-layout .sidebar.toggle .bb-navigation li.bb-navigation__item {
  & a {
    //padding-left: 0.8rem !important;
    transition: transform 0.25s ease;
    //@media (min-width: 768px) and (max-width: 1280px) {
    //  padding-left: 64px !important;
    //}
  }
}

// ********** //
// Animations //
// ********** //

// Sidebar on toggle //
.page-flex-layout .sidebar {
  transition: all 0.4s linear;
}

// Nav item on resizing
.page-flex-layout .sidebar .bb-navigation li.bb-navigation__item a {
  transition: all 0.3s linear;
}

// Icon on hover //
.page-flex-layout .sidebar .bb-navigation li.bb-navigation__item a.bb-navigation-item__link i {
  transition: margin-left 0.2s ease-out !important;
  font-size: 18px;
}

// Logo on resizing //
.page-flex-layout .sidebar .page-logo {
  transition: all 0.3s linear;
}

//STYLE FOR DEVICES LARGER THEN 1280px
@media (min-width: 1280px) {
  .sidebar.toggle {
    .nav-logo.nav-lg-logo {
      display: none;
    }

    .nav-logo.nav-sm-logo {
      display: block;
    }

    span.bb-universal-nav-item-title {
      display: none !important;
    }
  }
}

//STYLE FOR DEVICES BETWEEN 768px and 1280px
@media (min-width: 768px) and (max-width: 1279px) {
  .page-flex-layout .sidebar {
    width: $sidebar-collapsed-width !important;
    min-width: $sidebar-collapsed-width;
    padding-left: 0 !important;

    .nav-logo.nav-lg-logo {
      display: none;
    }

    .nav-logo.nav-sm-logo {
      display: block;
    }

    span {
      display: none !important;
    }
  }

  .nlb-content {
    .main-container-wrapper {
      margin-left: $sidebar-collapsed-width;
    }

    //&.toggle {
    //  .main-container-wrapper {
    //    margin-left: $sidebar-width;
    //  }
    //}
  }
  //.page-flex-layout .sidebar.toggle {
  //  width: $sidebar-width !important;
  //  min-width: $sidebar-width !important;
  //}
  //.page-flex-layout .sidebar .nav-sm-logo {
  //  display: block !important;
  //}
  //.page-flex-layout .sidebar .nav-lg-logo {
  //  display: none !important;
  //}
  //.page-flex-layout .sidebar.toggle .nav-lg-logo {
  //  display: block !important;
  //}
  //.page-flex-layout .sidebar.toggle .nav-sm-logo {
  //  display: none !important;
  //}
}

//STYLE FOR SMALL DEVICES
@include media-breakpoint-down(sm) {
  .page-flex-layout .sidebar {
    width: 0px !important;
    padding-left: 0 !important;

    span {
      display: block !important;
    }
  }
  .page-flex-layout .sidebar.toggle {
    width: $sidebar-small-width !important;
    min-width: $sidebar-small-width !important;
    display: flex !important;
    position: fixed;
    left: 0;
    height: 100%;
    z-index: 2;
  }

  .nlb-content {
    .main-container-wrapper {
      margin-left: 0;
    }

    &.toggle {
      .main-container-wrapper {
        margin-left: 0;
      }
    }
  }

  .page-flex-layout .sidebar.toggle .nav-lg-logo {
    display: block !important;
  }

  .page-flex-layout .sidebar.toggle .bb-navigation li.bb-navigation__item a {
    padding-left: 8px !important;
  }
}

//STYLE FOR DEVICES LARGER THEN 1280px
@media (min-width: 1280px) {
  .sidebar.toggle {
    .nav-logo.nav-lg-logo {
      display: none;
    }

    .nav-logo.nav-sm-logo {
      display: block;
    }

    span.bb-navigation-item__title {
      display: none !important;
    }

    .bb-navigation .bb-navigation-item__link {
      justify-content: center;
      width: 100%;
    }

    .bb-navigation li.bb-navigation__item a {
      padding-right: 0;
    }
  }
}
